#include <iostream>
#include <vector>
#include <algorithm>
using namespace std;
int s, n, a;
int  ans=0;
vector<int> arr;
bool ch[1000000];
int solve(int index){
    int maxp=0;
    int sum=index;
    for(int p=index+1; p<n; ++p)
    {
        sum+=s;
        if(arr[p]-sum > maxp && ch[p]==false){maxp = arr[p]-sum; ch[p]=true;}
    }
    if(maxp<0)
    {
        return 0;
    }
    return maxp;
}
int main() {
ios_base::sync_with_stdio(false);
cin.tie(NULL);
cin >> n >> s;
for(int i=0; i<n; ++i)
{
    cin >> a;
    arr.push_back(a);
}
sort(arr.begin(), arr.end());
for(int i=0; i<n/2; ++i)
{
    ans+=solve(i);
}
cout << ans;
return 0;
}
